Retrieve import information

Retrieve import information#

Description#

Returns information around imported files for a table.

GET /api/v1/table/{tableId}/importInfo

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

tableId

path

string

true

The unique identifier of the table

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/importInfo \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/importInfo \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/importInfo" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/table/{tableId}/importInfo', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a JSON object with a body property, which contains the requested ImportInfoDto object.

Example Responses#

{
  "body": {
    "numFiles": "integer",
    "numRecords": "integer",
    "tableId": "string"
  },
  "code": "integer"
}